apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: appset-{{ .Values.namespaceName }}
  namespace: argocd
spec:
  generators:
  - git:
      repoURL: https://gitlab.com/agepoly/it/k22/argo-cd/argo-{{ .Values.namespaceName }}.git
      revision: HEAD
      files:
      - path: "apps/**.yml"
  template:
    metadata:
      name: '{{ .Values.namespaceName }}-{{ "{{" }}name{{ "}}" }}'
    spec:
      project: {{ .Values.namespaceName | quote }}
      source:
        repoURL: '{{ "{{" }}source.repoURL{{ "}}" }}'
        targetRevision: '{{ "{{" }}source.targetRevision{{ "}}" }}'
        path: '{{ "{{" }}name{{ "}}" }}'
      destination:
        server: https://kubernetes.default.svc
        {{- if not .Values.privileged }}
        namespace: {{ .Values.namespaceName }}
        {{- end }}
      syncPolicy:
        syncOptions:
        - CreateNamespace=false
---
apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: appset-{{ .Values.namespaceName }}-auto
  namespace: argocd
spec:
  generators:
  - git:
      repoURL: https://gitlab.com/agepoly/it/k22/argo-cd/argo-{{ .Values.namespaceName }}.git
      revision: HEAD
      files:
      - path: "apps-auto/**.yml"
  template:
    metadata:
      name: '{{ .Values.namespaceName }}-{{ "{{" }}name{{ "}}" }}'
    spec:
      project: {{ .Values.namespaceName | quote }}
      source:
        repoURL: '{{ "{{" }}source.repoURL{{ "}}" }}'
        targetRevision: '{{ "{{" }}source.targetRevision{{ "}}" }}'
        path: '{{ "{{" }}name{{ "}}" }}'
      destination:
        server: https://kubernetes.default.svc
        {{- if not .Values.privileged }}
        namespace: {{ .Values.namespaceName }}
        {{- end }}
      syncPolicy:
        automated:
          prune: true
          selfHeal: true
        syncOptions:
        - CreateNamespace=false